> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spikeapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# User Information

> Get information about the current user.



## OpenAPI

````yaml get /userinfo
openapi: 3.1.0
info:
  title: Application user API
  version: 3.0.2
servers:
  - url: https://app-api.spikeapi.com/v3
security: []
paths:
  /userinfo:
    get:
      tags:
        - Info / User
      summary: User Information
      description: Get information about the current user.
      operationId: getUserinfo
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserInfo'
          description: OK
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Bad Request
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Unauthorized
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Not Found
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Internal Server Error
      security:
        - bearer: []
components:
  schemas:
    UserInfo:
      additionalProperties: false
      properties:
        application_id:
          description: Application ID
          format: int64
          type: integer
        application_user_id:
          description: Application user ID
          type: string
        compat_application_client_id:
          description: Compat application client ID
          format: uuid
          type: string
        compat_application_client_token:
          description: Compat application client token
          format: uuid
          type: string
        created_at:
          description: Created at
          format: date-time
          type:
            - string
            - 'null'
        integrated_providers:
          description: List of integrated providers
          items:
            $ref: '#/components/schemas/UserInfoIntegratedProvider'
          type:
            - array
            - 'null'
        uid:
          description: Spike Internal User ID
          examples:
            - a12b34cd-a1b2-c3d4-e5f6-abcdef123456
          format: uuid
          type: string
      required:
        - application_id
        - application_user_id
        - uid
        - compat_application_client_token
        - compat_application_client_id
        - integrated_providers
        - created_at
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    UserInfoIntegratedProvider:
      additionalProperties: false
      properties:
        created_at:
          description: Created at
          format: date-time
          type: string
        is_integration_broken:
          description: Is integration broken
          type: boolean
        provider_integration_id:
          description: Provider integration ID
          format: int64
          type:
            - integer
            - 'null'
        provider_slug:
          description: Provider slug
          examples:
            - strava
            - omron_eu
            - omron_us
            - health_connect
            - fitbit
            - garmin
            - huawei
            - dexcom
            - whoop
            - withings
            - suunto
            - apple
            - freestyle_libre
            - oura
            - polar
            - coros
            - ultrahuman
            - samsung_health_data
            - luna
          type: string
      required:
        - provider_slug
        - provider_integration_id
        - is_integration_broken
        - created_at
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearer:
      bearerFormat: JWT
      scheme: bearer
      type: http

````